# $Revision: 1.16 $, $Date: 2011/08/21 17:02:24 $
Summary:	ISO-8859-8 and Windows-1255 encoding support for xpdf
Summary(pl.UTF-8):	Obsługa kodowań ISO-8859-8 i Windows-1255 dla xpdf
Name:		xpdf-hebrew
Version:	20110815
Release:	1
License:	GPL v2 or GPL v3
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-2011-aug-15.tar.gz
# Source0-md5:	e1cb33f22bb71fb01998e5c59f538472
URL:		http://www.foolabs.com/xpdf/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Greek PDF files.

%description -l pl.UTF-8
Pakiety wspierające języki Xpdf zawierają pliki CMap, kodowania oraz
różne inne informacje konfiguracyjne niezbędne bądź przydatne przy
określonych zestawach znaków (nie zawierają żadnych fontów).
Ten pakiet zawiera pliki potrzebne do używania narzędzi Xpdf z
greckimi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	ISO-8859-8	/usr/share/xpdf/ISO-8859-8.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	Windows-1255	/usr/share/xpdf/Windows-1255.unicodeMap' >> /etc/xpdfrc
else
 if ! grep -q 'ISO-8859-8\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	ISO-8859-8	/usr/share/xpdf/ISO-8859-8.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Windows-1255\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	Windows-1255	/usr/share/xpdf/Windows-1255.unicodeMap' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'ISO-8859-8\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Windows-1255\.unicodeMap' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/ISO-8859-8.unicodeMap
%{_datadir}/xpdf/Windows-1255.unicodeMap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf-hebrew.spec,v $
Revision 1.16  2011/08/21 17:02:24  qboosh
- updated to 2011-aug-15 (as Version: 20110815)

Revision 1.15  2007/09/05 13:26:51  baggins
- rel 5

Revision 1.14  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.12  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/07/31 08:38:08  gotar
- fixed %preun scripts,
- release++.

Revision 1.10  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/31 09:52:16  qboosh
- remove temporary file in preun

Revision 1.7  2003/03/27 14:30:02  gotar
- release 3

Revision 1.6  2003/03/27 14:29:21  gotar
- added Windows-1255 encoding

Revision 1.5  2003/03/15 22:31:46  gotar
- BuildArch: noarch,
- release++.

Revision 1.4  2003/02/11 20:08:24  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.3  2003/01/19 00:04:19  gotar
- fixed %post and %preun scripts

Revision 1.2  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.1  2002/11/28 22:37:11  gotar
- initial PLD release, STBR.
